プロジェクトを一覧表示 (V2)
API-Key にスコープされたすべてのプロジェクトを一覧表示します。
GET/v2/projects
https://api.cloud.zilliz.com
shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要
認証トークンには、適切な権限を持つ API key を使用する必要があります。
値の例: Bearer {{TOKEN}}
Acceptstringheader
application/json を使用します。
値の例: application/json
bash
export TOKEN="YOUR_API_KEY"
curl --request GET \
--url "${BASE_URL}/v2/projects" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス200 OK - application/json
プロジェクトの詳細な一覧を返します。
成功レスポンスボディのバリエーションのひとつで、オブジェクトとして表されます。
codeinteger<int32>
レスポンスコード。
dataarray
レスポンスペイロード。プロジェクトの詳細な一覧です。
[]dataobject
プロジェクトの詳細な一覧。
projectNamestring
プロジェクト名。
projectIdstring
プロジェクトの ID。
descriptionstring
プロジェクトの説明。
createdBystring
プロジェクトを作成したユーザー。
instanceCountinteger<int32>
プロジェクト内のクラスター数。
servingInstanceCountinteger<int32>
プロジェクト内のサービングインスタンス数。
queryClusterCountinteger<int32>
プロジェクト内のクエリクラスタ数。
createTimestring<date-time>
プロジェクトが作成された時刻。
planstring
現在のプロジェクトのサブスクリプションプラン。指定可能な値は Standard、Enterprise、または BusinessCritical です。
regionIdsarray
プロジェクトのリージョン ID。
[]regionIdsstring
リージョン ID。適用可能なリージョン ID を一覧表示するには、List regions を使用できます。
orgTypestring
組織のタイプ。指定可能な値は SAAS または BYOC です。
失敗レスポンス。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。